<template>
  <v-layout>
    <div class="content-without-bg full-container">
      <div class="row">
        <div class="col-sm-3 search-panel">
          <div class="find-nearest-center">Find Nearest Center</div>
          <label for="" class="label col-sm-12">Enter Postcode</label>
          <input type="text" class="input col-sm-12" id="" placeholder=""/>
          <button type="button" class="col-sm-12 mt-3" @click="">Use Current Location</button>
          <div class="mt-3">
            <div class="col-sm-12 location mt-2 flex align-center" :class="getSelectedClass(location)" v-for="location of locations">
              <span @click="selectedLocation=location">{{location.name}}</span>
              <div v-show="location==selectedLocation" class="close-icon" @click="selectedLocation=null">
                <i class="fas fa-times"></i>
              </div>
            </div>
          </div>
        </div>
        <div class="col-sm-9 map-panel" v-if="!selectedLocation">
          <GmapMap
            :center="{lat: 51.508742, lng: -0.120850}"
            :zoom="7"
            map-type-id="roadmap"
            style="width: 100%; height: 100vh"
          >
            <gmap-info-window :position="mapInfo.position" :opened="true">
              <div>
                {{ mapInfo.address1 }}
              </div>
              <div>
                {{ mapInfo.address2 }}
              </div>
              <div>
                {{ mapInfo.name }}
              </div>
            </gmap-info-window>
            <GmapMarker
              :position="mapInfo.position"
              :clickable="true"
              :draggable="false"
              @click="center=mapInfo.position"
            />
          </GmapMap>
        </div>
        <div v-if="selectedLocation" class="col-sm-9 detail-panel">
          <div class="title col-sm-12">
            {{selectedLocation.name}}
          </div>
          <hr />
          <div class="row">
            <div class="col-sm-6">
              <img :src="selectedLocation.image" />
            </div>
            <div class="row col-sm-6 text">
              <div class="col-sm-12">
                {{selectedLocation.address.address1}}<br />
                {{selectedLocation.address.address2}}<br />
                {{selectedLocation.address.address3}}<br />
              </div>
              <div class="col-sm-12 text">
                <div>
                  <div class="icon"><i class="fas fa-phone"></i></div>{{selectedLocation.telephone}}
                </div>
                <div>
                  <div class="icon"><i class="fas fa-map-marker-alt"></i></div>Map
                </div>
              </div>
            </div>
          </div>
          <div class="row mt-5">
            <div class="col-sm-6">
              <div class="sub-title">Sales</div>
              <hr />
              <div>
                <div class="icon"><i class="fas fa-phone"></i></div>{{selectedLocation.sales.telephone}}
              </div>
              <div class="mt-3">
                <div v-for="day of selectedLocation.sales.days" class="row col-sm-12">
                  <div class="col-sm-6">
                    {{day.name}}
                  </div>
                  <div class="col-sm-6">
                    {{day.start}} - {{day.end}}
                  </div>
                </div>
              </div>
            </div>
            <div class="col-sm-6">
              <div class="sub-title">Service</div>
              <hr />
              <div>
                <div class="icon"><i class="fas fa-phone"></i></div>{{selectedLocation.services.telephone}}
              </div>
              <div class="mt-3">
                <div v-for="day of selectedLocation.sales.days" class="row col-sm-12">
                  <div class="col-sm-6">
                    {{day.name}}
                  </div>
                  <div class="col-sm-6">
                    {{day.start}} - {{day.end}}
                  </div>
                </div>
              </div>
            </div>
          </div>
        </div>
      </div>
    </div>
    <Footer :showTop="false" />
  </v-layout>
</template>

<style scoped>
  .search-panel {
    background: white;
    padding: 15px 15px 0 30px;
  }
  .map-panel {
    padding: 0 15px 0 0;
  }
  .info-panel {
    width: 242px;
    height: 211px;
    background-color: #000000;
    opacity: 0.8;
  }
  .label {
    color: rgba(0, 0, 0, 0.5);
    font-size: 12px;
    font-weight: 400;
    padding-left: 0;
  }
  button {
    height: 39px;
    border: 1px solid #000000;
    background-color: #000000;
    color: white;
    font-size: 15px;
    font-weight: 700;
  }
  .location {
    height: 54px;
    background-color: #f2f2f2;
    cursor: pointer;
    font-size: 14px;
    font-weight: 400;
  }
  .find-nearest-center {
    font-size: 15px;
    font-weight: 400;
  }
  .selected {
     background-color: rgba(0, 0, 0, 0.4);
  }
  .input {
    height: 22px;
    border: 0px solid #707070;
    border-bottom: 1px solid #707070;
    outline: transparent;
    padding-left: 0;
    padding-right: 0;
    background: transparent;
  }
  .close-icon {
    position: absolute;
    right: 20px;
  }
  .detail-panel {
    background: white;
    padding-top: 20px;
    padding-right: 40px;
    padding-bottom: 20px;
    color: rgba(26, 26, 26, 0.85);
  }
  .detail-panel .title {
    font-family: 'club_bold', Arial, Helvetica, sans-serif;
    font-size: 20px;
    font-weight: 700;
  }
  .detail-panel .image {
    width: 325px;
    height: 226px;
  }
  .detail-panel .text {
    color: rgba(26, 26, 26, 0.85);
    font-size: 16px;
    font-weight: 400;
  }
  .detail-panel div.icon {
    float: left;
    margin-right: 20px;
  }
  .detail-panel .sub-title {
    color: #000000;
    font-family: 'club_bold', Arial, Helvetica, sans-serif;
    font-size: 15px;
    font-weight: 700;
  }
</style>
<script>
  /* ============
   * Locations Page
   * ============
   *
   * Page where the user can view the vehicle detail.
   */

  import VLayout from '@/layouts/Default'
  import VCard from '@/components/Card'

  export default {
    /**
     * The name of the page.
     */
    name: 'locations',

    data() {
      return {
        locations: this.$store.getters.getLocations(),
        mapInfo: this.$store.getters.getMapInfo(),
        selectedLocation: null,
      };
    },

    mounted() {
      if ($('html').hasClass('fp-enabled')) {
        $.fn.fullpage.destroy('all')
      }
    },

    methods: {
      goBack() {
        this.$router.go(-1)
      },
      getSelectedClass(location) {
        if (location === this.selectedLocation) {
          return 'selected';
        }
        return '';
      },
    },

    /**
     * The components that the page can use.
     */
    components: {
      VLayout,
      VCard,
    },
  }

</script>
